library IEEE;
use IEEE.std_logic_1164.ALL;

entity counter_tb is
end counter_tb;

architecture behaviour of counter_tb is
	component counter
		port (clk, reset : in std_logic;
			P : out std_logic_vector(2 downto 0)
		);
	end component;

	signal clk, reset : std_logic;
	signal P : std_logic_vector(2 downto 0);
begin

	lbl1: counter port map (clk, reset, P);
 
	clk <= '0' after 0 ns,
           '1' after 100 ns when clk /= '1' else '0' after 100 ns;
         
	reset <= '1' after 0 ns,
	         '0' after 200 ns;
       
end behaviour;

