library IEEE;
use IEEE.std_logic_1164.ALL;

entity divider6_tb is
end divider6_tb;

architecture behaviour of divider6_tb is
	component divider6
		port (clk, reset : in std_logic;
			P : out std_logic_vector(2 downto 0);
			Y : out std_logic
		);
	end component;

	signal X, reset, Y: std_logic;
	signal P : std_logic_vector(2 downto 0);
begin

	lbl1: divider6 port map (X, reset, P, Y);
 
 	X <= '0' after 0 ns,
             '1' after 100 ns when X /= '1' else 
	     '0' after 100 ns;
		   
	reset <= '1' after 0 ns,
	         '0' after 200 ns;
       
end behaviour;

