library IEEE;
use IEEE.std_logic_1164.ALL;

entity seg7dec_tb is
end entity seg7dec_tb;

architecture behaviour of seg7dec_tb is
	component seg7dec
		port (A, B, C, D : in std_logic;
			C0, C1, C2, C3, C4, C5, C6 : out std_logic
		);
	end component;

	signal A, B, C, D : std_logic;
	signal C0, C1, C2, C3, C4, C5, C6 : std_logic;
begin 

	lbl1: seg7dec port map (A, B, C, D, C0, C1, C2, C3, C4, C5, C6);
	
	D <= '0' AFTER 0 NS,
		 '1' AFTER  50 NS,
		 '0' AFTER 100 NS,
		 '1' AFTER 150 NS,
		 '0' AFTER 200 NS,
		 '1' AFTER 250 ns,
		 '0' AFTER 300 NS,
		 '1' AFTER 350 NS,
		 '0' AFTER 400 NS,
		 '1' AFTER 450 NS,
		 '0' AFTER 500 NS,
		 '1' AFTER 550 NS,
		 '0' AFTER 600 NS,
		 '1' AFTER 650 ns,
		 '0' AFTER 700 NS,
		 '1' AFTER 750 NS;
	C <= '0' AFTER 0 NS,
		 '1' AFTER 100 NS,
		 '0' AFTER 200 NS,
		 '1' AFTER 300 NS,
		 '0' AFTER 400 NS,
		 '1' AFTER 500 NS,
		 '0' AFTER 600 NS,
		 '1' AFTER 700 NS;
	B <= '0' AFTER 0 NS,
		 '1' AFTER 200 NS,
		 '0' AFTER 400 NS,
		 '1' AFTER 600 NS;
	A <= '0' AFTER 0 NS,
		 '1' AFTER 400 NS;

end behaviour;